Skip to content
On this page

Get National ID Verification Requests Details. ​

Endpoint for getting details of a specific ID Verification request by unique id.

Endpoints ​

EnvironmentURL
Sandboxhttps://api-test.streamline.laboremus.ug/idv/api/requests/{id}v=1.0
Productionhttps://api.streamline.laboremus.ug/idv/api/requests/{id}?v=1.0

Sandbox testing

See the Sandbox Context page for NIN formats and whitelisted test values.

Request ​

Request Type : GET ​

Path Parameters ​

NameTypeRequiredDescription
idstring(uuid)yesThe Unique ID of the id verification request

Response ​

Response Values ​

NameTypeDescription
idstring (uuid)The unique id for the request
initiatorstring or nullThe names for the request initiator
initiatorIdstring or nullThe unique id for the request initiator
initiatorEmailstring or nullThe API consumer for user that initiated the request
participantIdstring (uuid)The unique id for the participant that initiated the request
receivedAtstring or null (date-time)Date the request was created
submittedAtstring or null (date-time)Date the request was submitted to NIRA
receivedFromNirastring or null (date-time)Date the response was received from NIRA
requestStatusstring (Enum: Pending, Completed, Failed)The stage of processing at which the request is
surnamestring or nullSurname on the card that was verified
givenNamesstring or nullGiven names on the card that was verified
cardNumberstring or nullID card number on the card that was verified
maskedCardNumberstring or nullMasked ID Card number on the card that was verified
ninstring or nullNational Identification Number on the card that was verified
maskedNinstring or nullMasked National Identification Number on the card that was verified
multipleReferenceIdstring or null (uuid)ID to show multiple requests
dateOfBirthstring(date)Date of birth on the card that was verified
resultJsonobjectThe response from NIRA based on the card details provided

resultJson ​

NameTypeDescription
matchingStatusbooleanWhether the card details matched those at NIRA
cardStatusstring or nullWhether the card is valid or not.
statusstring or nullThe NIN request status as returned from NIRA
errorobjectError from NIRA. When isError is false, its null
isErrorbooleanWhen true, it means that NIRA found an error with the request. See for more information.
ninStatusstring or nullThe Nin status field for the request

error ​

NameTypeDescription
codestring or nullThe code of the error returned
messagestring or nullThe message of the error returned

Example Response Body ​

Content type

application/json

json
{
	"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
	"initiator": "string",
	"initiatorId": "b631b8d8-c217-4b56-82fc-36ea91cf342a",
	"initiatorEmail": "string",
	"participantId": "9f6624b5-5f99-42b6-899f-30f2b369cbd7",
	"receivedAt": "2019-08-24T14:15:22Z",
	"submittedAt": "2019-08-24T14:15:22Z",
	"receivedFromNira": "2019-08-24T14:15:22Z",
	"requestStatus": "Pending",
	"surname": "string",
	"givenNames": "string",
	"cardNumber": "string",
	"maskedCardNumber": "string",
	"nin": "string",
	"maskedNin": "string",
	"multipleReferenceId": "d2df34d1-f938-4240-9d1b-a11677d881e0",
	"dateOfBirth": "2019-08-24",
	"resultJson": {
		"matchingStatus": true,
		"cardStatus": "string",
		"status": "string",
		"error": {
			"code": "string",
			"message": "string"
		},
		"isError": true,
		"ninStatus": "string"
	}
}
{
	"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
	"initiator": "string",
	"initiatorId": "b631b8d8-c217-4b56-82fc-36ea91cf342a",
	"initiatorEmail": "string",
	"participantId": "9f6624b5-5f99-42b6-899f-30f2b369cbd7",
	"receivedAt": "2019-08-24T14:15:22Z",
	"submittedAt": "2019-08-24T14:15:22Z",
	"receivedFromNira": "2019-08-24T14:15:22Z",
	"requestStatus": "Pending",
	"surname": "string",
	"givenNames": "string",
	"cardNumber": "string",
	"maskedCardNumber": "string",
	"nin": "string",
	"maskedNin": "string",
	"multipleReferenceId": "d2df34d1-f938-4240-9d1b-a11677d881e0",
	"dateOfBirth": "2019-08-24",
	"resultJson": {
		"matchingStatus": true,
		"cardStatus": "string",
		"status": "string",
		"error": {
			"code": "string",
			"message": "string"
		},
		"isError": true,
		"ninStatus": "string"
	}
}

Error Response ​

400 The request data is invalid

application/json

NameTypeDescription
typestring or nullType of error response
titlestring or nullThe title of the error response
statusinteger(int32)The status of the error response
traceIdstring or nullThe traceId of the error request producing the error
errorsobjectObject defining the errors

errors ​

NameTypeDescription
propertyArray of stringsThe definition of the errors

401 Not authorized to access the endpoint

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

403 Refuse to authorize access to the endpoint

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

404 Request does not exist

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

500 The server encountered an unexpected error

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

Tech Served Right